## pyneighborhood 0.5.0+debian

=== po/Makefile ===
LANGUAGES=es_ES de_DE cs_CZ zh_TW it_IT fr_FR en_GB

PACKAGE_NAME=pyNeighborhood

all: gmo


clean:
	@echo " **CLEAN**"
	@rm -rf *.mo *~ tmp/
	@for lang in $(LANGUAGES); do \
		echo " **CLEANDIR** $$lang"; \
		rm -rf $$lang;\
	done

files:
	find ../ -name "*.py" -o -name "*.glade" > FILES
pot:
	xgettext  -o $(PACKAGE_NAME).pot --files-from=FILES

po:
	@for lang in $(LANGUAGES); do \
		echo " **PO** $$lang"; \
		if [ ! -f $$lang.po ]; then \
			msginit --input $(PACKAGE_NAME).pot -o $$lang-old.po;\
		else \
			mv $$lang.po $$lang-old.po; \
		fi ; \
		msgmerge -o $$lang.po $$lang-old.po $(PACKAGE_NAME).pot; \
		rm -f $$lang-old.po; \
	done

gmo:
	@echo " **COMPILING** languages: $(LANGUAGES)"
	@for lang in $(LANGUAGES); do \
		echo " **COMPILEMO** $$lang" ; \
		mkdir -p $$lang/LC_MESSAGES/; \
		msgfmt --verbose -o $$lang/LC_MESSAGES/$(PACKAGE_NAME).mo $$lang.po; \
	done
	
install:
	@echo " **INSTALL** languages: $(LANGUAGES)"
	@for lang in $(LANGUAGES); do \
		echo " **INSTALLMO** $$lang" ; \
		mkdir -p $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
		msgfmt -o $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(PACKAGE_NAME).mo $$lang.po; \
	done

## pyneighborhood 0.5.1

=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-LANGUAGES=es_ES de_DE cs_CZ zh_TW it_IT fr_FR en_GB
+LANGUAGES=$(basename $(wildcard *.po))
 
 PACKAGE_NAME=pyNeighborhood

=== debian/changelog ===
pyneighborhood (0.5.1-2) unstable; urgency=low

  * QA upload to fix previous broken upload.
  * Drop dependency on non-existing python-pysqlite3 (was pysqlite2 before
    but it isn't used).

 -- Arthur de Jong <adejong@debian.org>  Sun, 18 Mar 2012 07:50:04 +0100

pyneighborhood (0.5.1-1) unstable; urgency=low

  * QA upload.
  * Orphaning package.
  * Turn into non-native package.
  * Import old changelog entries from previous releases.
  * Put package in Python Applications Packaging Team repository.
  * Switch to dh_python2 (Closes: #591989, #616975).
  * Depend on cifs-utils instead of smbfs (Closes: #638160).
  * Switch to using the dh command sequencer.
  * Switch source format to 3.0 (quilt).
  * Switch to using the upstream code to install message catalogs.
  * Bump debhelper compatibility level to 9.
  * Import manual page, menu entry and pixmap from version 0.5.0+debian-3.
  * Make debian/copyright up-to-date and switch to machine-readable format.
  * Add a debian/watch file.
  * Bump Standards-Version to 3.9.3.

 -- Arthur de Jong <adejong@debian.org>  Sat, 17 Mar 2012 21:49:53 +0100

pyneighborhood (0.5.1) unstable; urgency=low

  * pyNeighborhood 0.5.1 for Debian Sid

 -- Stefan J. Betz <info@stefan-betz.net>  Wed, 28 Jul 2010 15:26:28 +0000

pyneighborhood (0.5.0+debian-3) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 09:49:50 +0200

pyneighborhood (0.5.0+debian-2) unstable; urgency=low

  * Updating package to standards version 3.8.2.
  * Minimizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 27 Jul 2009 12:28:03 +0200

pyneighborhood (0.5.0+debian-1) unstable; urgency=low

  * Merging upstream version 0.5.0+debian.
  * Updatingversion number in manpage.

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Mar 2009 07:47:00 +0100

pyneighborhood (0.5.0~rc4+debian-1) unstable; urgency=low

  * Merging upstream version 0.5.0~rc4+debian.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Jan 2009 02:20:00 +0100

pyneighborhood (0.5.0~rc3+debian-1) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Merging upstream version 0.5.0~rc3+debian.
  * Prefixing debhelper files with package name.
  * Updating year in copyright file.
  * Updating manpage.
  * Updating longtitle and descriptions in menu file.
  * Using debhelper install file to install pixmaps rather than manual install
    call in rules file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Jan 2009 02:16:00 +0100

pyneighborhood (0.5.0~rc2+debian-1) unstable; urgency=low

  * Initial release.
  * Rebuild upstream tarball without debian directory.

 -- Daniel Baumann <daniel@debian.org>  Fri, 17 Oct 2008 11:01:00 +0200

=== debian/control ===
Source: pyneighborhood
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~)
Standards-Version: 3.9.3
Homepage: https://launchpad.net/pyneighborhood
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/pyneighborhood/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/pyneighborhood/trunk/

Package: pyneighborhood
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, cifs-utils, smbclient, python-gtk2, python-glade2
Description: PyGTK2 SAMBA browser
 pyNeighborhood is GTK2 Python rewrite of a well-known gtk1 tool
 "LinNeighborhood". It features group browser, favourite hosts
 manager and mounts monitor.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --with python2

# also install messages files and remove upstream Changelog file which
# will also be installed by dh_installchangelog
override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/pyneighborhood/usr/share/doc/pyneighborhood/Changelog
	make -C po gmo install DESTDIR=$(CURDIR)/debian/pyneighborhood

=== debian/watch ===
version=3
https://launchpad.net/pyneighborhood/+download https?://launchpad.net/pyneighborhood/.*/pyneighborhood-([0-9\.]*)\.tar\.(?:gz|bz2)

## pyneighborhood 0.5.4

=== Makefile ===
PYTHON=python
DESTDIR=/usr/local
ICONS=$(DESTDIR)/share/pyneighborhood/icons
UIDEF=$(DESTDIR)/share/pyneighborhood/ui
DOC=$(DESTDIR)/share/doc/pyneighborhood
APPLICATIONS=$(DESTDIR)/share/applications

all:

install:
	$(PYTHON) setup.py install --prefix=$(DESTDIR) 
	make -C po DESTDIR=$(DESTDIR) install
	install -d $(ICONS) $(UIDEF) $(DOC) $(APPLICATIONS)
	
	install -m644 icons/* $(ICONS)
	install -m644 ui/*    $(UIDEF)
	install -m644 pyNeighborhood.desktop $(APPLICATIONS)

builddoc:
	sphinx-build doc/source doc/build

pot:
	make -C po files
	make -C po pot
	make -C po po

clean:
	make -C po clean

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 LANGUAGES=$(basename $(wildcard *.po))
 
 PACKAGE_NAME=pyNeighborhood
+DESTDIR=/usr/local
 
 all: gmo
 
@@ -42,7 +43,7 @@
 	@echo " **INSTALL** languages: $(LANGUAGES)"
 	@for lang in $(LANGUAGES); do \
 		echo " **INSTALLMO** $$lang" ; \
-		mkdir -p $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
-		msgfmt -o $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(PACKAGE_NAME).mo $$lang.po; \
+		mkdir -p $(DESTDIR)/share/locale/$$lang/LC_MESSAGES/; \
+		msgfmt -o $(DESTDIR)/share/locale/$$lang/LC_MESSAGES/$(PACKAGE_NAME).mo $$lang.po; \
 	done

=== debian/changelog ===
pyneighborhood (0.5.4-2) unstable; urgency=medium

  * QA upload
  * DH_LEVEL: 10
  * debian/control:
      - Bump STD-V to 4.1.0
      - Using git as a cvs
  * Add debian/gbp.conf

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 09 Sep 2017 14:34:26 -0300

pyneighborhood (0.5.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control:
      - Bump Standards-Version from 3.9.3 to 3.9.8
      - Vcs-Browser using https.
      - Vcs-Svn using canonical URI.
      - Build-Depends:
          - dh-python added.
      - Depends:
          - gnome-keyring added. Thanks Chad William Seys. (Closes: #733873)
          - python-pyatspi added.
          - python-glade2 removed.
  * debian/copyright updated.
  * debian/install:
      - added:
          - icons/
          - ui/
          - pyNeighborhood.desktop
      - entry about menu file removed.
  * debian/menu:
      - menu and xpm files removed. Using .desktop file.
  * debian/patches/:
      - desktop-file-fix.patch created.
  * debian/pycompat:
      - removed. obsolete.
  * debian/rules:
      - pybuild system:
          - NAME
          - BEFORE_INSTALL:
              - make messages files.
          - AFTER_INSTALL:
              - rm debug file.
              - clean messages files.
      - path to locale files fixed.
      - only one override:
          - dh_install_changelogs
  * debian/watch:
      - version 4
      - check-gpg-signature off. Key has expired.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Thu, 11 Aug 2016 14:28:03 -0300

=== debian/control ===
Source: pyneighborhood
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python (>= 2.6.6-3~),
Standards-Version: 4.1.0
Homepage: https://launchpad.net/pyneighborhood
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pyneighborhood.git 
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pyneighborhood.git

Package: pyneighborhood
Architecture: all
Depends:
 cifs-utils,
 gnome-keyring,
 python-gtk2,
 python-pyatspi,
 smbclient,
 ${misc:Depends},
 ${python:Depends},
Description: PyGTK2 SAMBA browser
 pyNeighborhood is GTK2 Python rewrite of a well-known gtk1 tool
 "LinNeighborhood". It features group browser, favourite hosts
 manager and mounts monitor.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=pyneighborhood
# messages files
export PYBUILD_BEFORE_INSTALL=make -C po gmo install -- DESTDIR=$(CURDIR)/debian/pyneighborhood/usr
# rm debug file and languages directories
export PYBUILD_AFTER_INSTALL=rm -rf '$(CURDIR)/debian/pyneighborhood/usr/bin/pyNeighborhood-debug';make -C po clean


%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs doc/source/changes.rst

=== debian/watch ===
version=4
# This key has expired! 6F33567E - Stefan J. Betz 
#opts="pgpsigurlmangle=s%$%.sig%" \
https://launchpad.net/pyneighborhood/+download https?://launchpad.net/pyneighborhood/.*/pyneighborhood-([0-9\.]*)\.tar\.(?:gz|bz2)
